LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XPersistentPropertySet Interface Referencepublished

A persistent property set, which can be saved in and restored from a XPropertySetRegistry. More...

`import"XPersistentPropertySet.idl";`

Inheritance diagram for XPersistentPropertySet:

## Public Member Functions
com::sun::star::ucb::XPropertySetRegistry | getRegistry ()
| returns the registry used to store the property set. More...
string | getKey ()
| returns the key used to address the set in the property set registry. More...
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

A persistent property set, which can be saved in and restored from a XPropertySetRegistry.

Version
  1.0

## Member Function Documentation

## ◆ getKey()

string getKey | ( |  | ) |

returns the key used to address the set in the property set registry.

Returns
  The key.

## ◆ getRegistry()

com::sun::star::ucb::XPropertySetRegistry getRegistry | ( |  | ) |

returns the registry used to store the property set.

Returns
  The registry.

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XPersistentPropertySet.idl